Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.context
Class ReplicatedContext

    java.lang.Object
      org.apache.catalina.util.LifecycleBase
          org.apache.catalina.util.LifecycleMBeanBase
              org.apache.catalina.core.ContainerBase
                  org.apache.catalina.core.StandardContext
                      org.apache.catalina.ha.context.ReplicatedContext

All Implemented Interfaces:
  MBeanRegistration, NotificationBroadcaster, NotificationEmitter, Container, Context, Lifecycle, AbstractReplicatedMap.MapOwner

    public class ReplicatedContext

extends StandardContext
implements AbstractReplicatedMap.MapOwner

Version:
  1.0
Author:
  Filip Hanik

Nested Class Summary
`protected static class` | `ReplicatedContext.MultiEnumeration<T>`
`protected static class` | `ReplicatedContext.ReplApplContext`

Nested classes/interfaces inherited from class org.apache.catalina.core.ContainerBase
`ContainerBase.ContainerBackgroundProcessor, ContainerBase.PrivilegedAddChild`

Field Summary
`protected static long` | `DEFAULT_REPL_TIMEOUT`

Fields inherited from class org.apache.catalina.core.StandardContext
`allowCasualMultipartParsing, allowLinking, cacheMaxSize, cacheObjectMaxSize, cacheTTL, context, urlEncoder`

Fields inherited from class org.apache.catalina.core.ContainerBase
`accessLog, backgroundProcessorDelay, children, cluster, listeners, loader, logger, logName, manager, name, parent, parentClassLoader, pipeline, resources, sm, startChildren, startStopExecutor, support`

Fields inherited from class org.apache.catalina.util.LifecycleMBeanBase
`mserver`

Fields inherited from interface org.apache.catalina.Context
`ADD_WELCOME_FILE_EVENT, CHANGE_SESSION_ID_EVENT, CLEAR_WELCOME_FILES_EVENT, RELOAD_EVENT, REMOVE_WELCOME_FILE_EVENT`

Fields inherited from interface org.apache.catalina.Container
`ADD_CHILD_EVENT, ADD_MAPPER_EVENT, ADD_VALVE_EVENT, REMOVE_CHILD_EVENT, REMOVE_MAPPER_EVENT, REMOVE_VALVE_EVENT`

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

Constructor Summary
`ReplicatedContext()`

Method Summary
`ClassLoader[]` | `getClassLoaders()`
`int` | `getMapSendOptions()`
`ServletContext` | `getServletContext()` Return the servlet context for which this Context is a facade.
`void` | `objectMadePrimay(Object key, Object value)`
`void` | `setMapSendOptions(int mapSendOptions)`
`protected void` | `startInternal()` Start this component and implement the requirements of `LifecycleBase.startInternal()`.
`protected void` | `stopInternal()` Stop this component and implement the requirements of `LifecycleBase.stopInternal()`.

Methods inherited from class org.apache.catalina.core.StandardContext
`addApplicationEventListener, addApplicationLifecycleListener, addApplicationListener, addApplicationParameter, addChild, addConstraint, addErrorPage, addFilterDef, addFilterMap, addFilterMapBefore, addInstanceListener, addLocaleEncodingMappingParameter, addMessageDestination, addMessageDestinationRef, addMimeMapping, addNotificationListener, addParameter, addResourceJarUrl, addResourcesDirContext, addRoleMapping, addSecurityRole, addServletContainerInitializer, addServletMapping, addServletMapping, addServletSecurity, addWatchedResource, addWelcomeFile, addWrapperLifecycle, addWrapperListener, adjustURLPattern, bindThread, createWrapper, destroyInternal, dynamicServletAdded, dynamicServletCreated, engineBase, filterStart, filterStop, findApplicationListeners, findApplicationParameters, findConstraints, findErrorPage, findErrorPage, findErrorPages, findFilterConfig, findFilterDef, findFilterDefs, findFilterMaps, findInstanceListeners, findMappingObject, findMessageDestination, findMessageDestinationRef, findMessageDestinationRefs, findMessageDestinations, findMimeMapping, findMimeMappings, findParameter, findParameters, findRoleMapping, findSecurityRole, findSecurityRoles, findServletMapping, findServletMappings, findStaticResources, findStatusPage, findStatusPages, findWatchedResources, findWelcomeFile, findWelcomeFiles, findWrapperLifecycles, findWrapperListeners, fireRequestDestroyEvent, fireRequestInitEvent, getAddWebinfClassesResources, getAliases, getAllowCasualMultipartParsing, getAltDDName, getAntiJARLocking, getAntiResourceLocking, getAppBase, getApplicationEventListeners, getApplicationLifecycleListeners, getAuthenticator, getAvailable, getBaseName, getBasePath, getCacheMaxSize, getCacheObjectMaxSize, getCacheTTL, getCharset, getCharsetMapper, getCharsetMapperClass, getClearReferencesHttpClientKeepAliveThread, getClearReferencesStatic, getClearReferencesStopThreads, getClearReferencesStopTimerThreads, getCompilerClasspath, getConfigFile, getConfigured, getCookies, getCrossContext, getDefaultContextXml, getDefaultWebXml, getDelegate, getDeploymentDescriptor, getDisplayName, getDistributable, getDocBase, getEffectiveMajorVersion, getEffectiveMinorVersion, getEncodedPath, getFireRequestListenersOnForwards, getHostname, getIgnoreAnnotations, getInfo, getInstanceManager, getJ2EEApplication, getJ2EEServer, getJarScanner, getJavaVMs, getJndiExceptionOnFailedWrite, getJspConfigDescriptor, getLogEffectiveWebXml, getLoginConfig, getMapper, getNamingContextListener, getNamingResources, getNotificationInfo, getObjectNameKeyProperties, getOriginalDocBase, getOverride, getParentClassLoader, getPath, getPaused, getPreemptiveAuthentication, getPrivileged, getProcessingTime, getProcessTlds, getPublicId, getRealPath, getReloadable, getRenewThreadsWhenStoppingContext, getResourceOnlyServlets, getSendRedirectBody, getServer, getServlets, getSessionCookieDomain, getSessionCookieName, getSessionCookiePath, getSessionCookiePathUsesTrailingSlash, getSessionTimeout, getStartTime, getStartupTime, getStaticResources, getSwallowAbortedUploads, getSwallowOutput, getTldNamespaceAware, getTldScanTime, getTldValidation, getUnloadDelay, getUnpackWAR, getUseHttpOnly, getWebappVersion, getWelcomeFiles, getWorkDir, getWorkPath, getWrapperClass, getXmlNamespaceAware, getXmlValidation, initInternal, isAllowLinking, isCachingAllowed, isEventProvider, isFilesystemBased, isReplaceWelcomeFiles, isResourceOnlyServlet, isSaveConfig, isServlet22, isStateManageable, isStatisticsProvider, isUseNaming, listenerStart, listenerStop, loadOnStartup, reload, removeApplicationListener, removeApplicationParameter, removeChild, removeConstraint, removeErrorPage, removeFilterDef, removeFilterMap, removeInstanceListener, removeMessageDestination, removeMessageDestinationRef, removeMimeMapping, removeNotificationListener, removeNotificationListener, removeParameter, removeRoleMapping, removeSecurityRole, removeServletMapping, removeWatchedResource, removeWelcomeFile, removeWrapperLifecycle, removeWrapperListener, resourcesStart, resourcesStop, setAddWebinfClassesResources, setAliases, setAllowCasualMultipartParsing, setAllowLinking, setAltDDName, setAntiJARLocking, setAntiResourceLocking, setApplicationEventListeners, setApplicationLifecycleListeners, setCacheMaxSize, setCacheObjectMaxSize, setCacheTTL, setCachingAllowed, setCharsetMapper, setCharsetMapperClass, setClearReferencesHttpClientKeepAliveThread, setClearReferencesStatic, setClearReferencesStopThreads, setClearReferencesStopTimerThreads, setCompilerClasspath, setConfigFile, setConfigured, setCookies, setCrossContext, setDefaultContextXml, setDefaultWebXml, setDelegate, setDisplayName, setDistributable, setDocBase, setEffectiveMajorVersion, setEffectiveMinorVersion, setFireRequestListenersOnForwards, setIgnoreAnnotations, setInstanceManager, setJ2EEApplication, setJ2EEServer, setJarScanner, setJavaVMs, setJndiExceptionOnFailedWrite, setLoader, setLogEffectiveWebXml, setLoginConfig, setNamingContextListener, setNamingResources, setOriginalDocBase, setOverride, setPath, setPreemptiveAuthentication, setPrivileged, setProcessTlds, setPublicId, setReloadable, setRenewThreadsWhenStoppingContext, setReplaceWelcomeFiles, setResourceOnlyServlets, setResources, setSaveConfig, setSendRedirectBody, setServer, setSessionCookieDomain, setSessionCookieName, setSessionCookiePath, setSessionCookiePathUsesTrailingSlash, setSessionTimeout, setStartupTime, setSwallowAbortedUploads, setSwallowOutput, setTldNamespaceAware, setTldScanTime, setTldValidation, setUnloadDelay, setUnpackWAR, setUseHttpOnly, setUseNaming, setWebappVersion, setWorkDir, setWrapperClass, setXmlNamespaceAware, setXmlValidation, startRecursive, toString, unbindThread`

Methods inherited from class org.apache.catalina.core.ContainerBase
`addContainerListener, addPropertyChangeListener, addValve, backgroundProcess, findChild, findChildren, findContainerListeners, fireContainerEvent, getAccessLog, getBackgroundProcessorDelay, getChildren, getCluster, getDomainInternal, getLoader, getLogger, getManager, getMappingObject, getName, getParent, getPipeline, getRealm, getRealmInternal, getResources, getStartChildren, getStartStopThreads, invoke, logAccess, logName, removeContainerListener, removePropertyChangeListener, setBackgroundProcessorDelay, setCluster, setManager, setName, setParent, setParentClassLoader, setRealm, setStartChildren, setStartStopThreads, threadStart, threadStop`

Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase
`getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister`

Methods inherited from class org.apache.catalina.util.LifecycleBase
`addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, init, removeLifecycleListener, setState, setState, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.catalina.Container
`addContainerListener, addPropertyChangeListener, backgroundProcess, findChild, findChildren, findContainerListeners, fireContainerEvent, getAccessLog, getBackgroundProcessorDelay, getCluster, getLoader, getLogger, getManager, getMappingObject, getName, getObjectName, getParent, getPipeline, getRealm, getResources, getStartStopThreads, invoke, logAccess, removeContainerListener, removePropertyChangeListener, setBackgroundProcessorDelay, setCluster, setManager, setName, setParent, setParentClassLoader, setRealm, setStartStopThreads`

Methods inherited from interface org.apache.catalina.Lifecycle
`addLifecycleListener, destroy, findLifecycleListeners, getState, getStateName, init, removeLifecycleListener, start, stop`

Field Detail

### DEFAULT_REPL_TIMEOUT

    protected static long DEFAULT_REPL_TIMEOUT

Constructor Detail

### ReplicatedContext

    public ReplicatedContext()

Method Detail

### startInternal

    protected void startInternal()
                          throws LifecycleException

  Start this component and implement the requirements of `LifecycleBase.startInternal()`.

  Overrides:
    `startInternal` in class `StandardContext`
  Throws:
    `LifecycleException` - if this component detects a fatal error that prevents this component from being used

### stopInternal

    protected void stopInternal()
                         throws LifecycleException

  Stop this component and implement the requirements of `LifecycleBase.stopInternal()`.

  Overrides:
    `stopInternal` in class `StandardContext`
  Throws:
    `LifecycleException` - if this component detects a fatal error that prevents this component from being used

### setMapSendOptions

    public void setMapSendOptions(int mapSendOptions)

### getMapSendOptions

    public int getMapSendOptions()

### getClassLoaders

    public ClassLoader[] getClassLoaders()

### getServletContext

    public ServletContext getServletContext()

  Description copied from class: `StandardContext`
  Return the servlet context for which this Context is a facade.

  Specified by:
    `getServletContext` in interface `Context`
  Overrides:
    `getServletContext` in class `StandardContext`

### objectMadePrimay

    public void objectMadePrimay(Object key,
                                 Object value)

  Specified by:
    `objectMadePrimay` in interface `AbstractReplicatedMap.MapOwner`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.